Skip to content

Org Governance Settings

The Org Governance Settings API allows admins to manage governance settings for their org. Use this API to manage settings for an org, such as whether end users can manage delegates.

Retrieve the org settings

Request

Beta
OAuth 2.0 scope:
  • okta.governance.settings.read
Admin roles:
  • ACCESS_CERTIFICATION_ADMIN
  • ACCESS_REQUESTS_ADMIN
  • SUPER_ADMIN

Retrieves the governance settings for the org

Note: You must have the SUPER_ADMIN role to retrieve governance settings for the org.

GET
/governance/api/v1/settings
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/governance/api/v1/settings

Responses

A successful org settings response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
delegatesobject

Delegate settings

governanceAIobject

Governance AI settings

Note: This feature is excluded from the Okta for AI Agents - Core SKU, which is the version of Okta for AI Agents available to FedRAMP Moderate and FedRAMP High customers. Okta for AI Agents - Core isn't available in Okta for US Military cells. For a current list of features that are excluded from the Okta for AI Agents - Core SKU, please refer to the Okta US Public Sector Limitations or Exceptions documentation.

escalationsobject

Escalation settings

integrationsobject

Integration settings

Response
{ "delegates": { "enduser": {} } }